Get country by id
GET /obp/dynamic-entity/banks/dylan-bank/country/COUNTRY_ID
OBPv4.0.0-dynamicEntity_getSinglecountry_dylan-bank Roles: CanGetDynamicEntityRecord_country(per bank) _Country(dylan-bank)Dynamic-EntityDynamic
Get country by id.
Parsed entity country. This Dynamic Entity is part of OGCR.
Property List:
- country_id: ISO 3166-1 alpha-2 country code for where the activity occurs.
- country_name: Name of the country
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"country"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example success response
{
"bank_id": "dylan-bank",
"country": {
"country_id": "DE",
"country_name": "Germany"
}
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.